PKGTOOL(8)

NAMN
pkgtool - mjukvarupaket hanterings-verktyg.

ÖVERSIKT
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfil ] [ --source_dir katalog ] [ --target_dir katalog ] [ --source_device enhet ]

BESKRIVNING
pkgtool är ett menydrivet paket underhållsverktyg som medföljer Slackware Linux-distribution. Den tillåter användaren att installera, ta bort eller visa programpaket via ett interaktivt system. Pkgtool kan också användas för att åter köra menystyrda skript i regel i slutet av en Slackware installation. Detta är användbart för att göra grundläggande omkonfigurering (som att ändra mus typ).

ALTERNATIV
De flesta användare kommer inte att använda några alternativ när man kör pkgtool. Dessa används i allmänhet endast när pkgtool körs under den initiala systeminstallationen. Känn dig fri att prova dem, men var försiktig.

--sets #A#B#C#
    Installera diskuppsättningarna A, B, C. Avskilj diskserie-namn med "#" symboler.

--source_mounted
    När denna flagga används, kommer inte pkgtool att försöka avmontera och montera källenheten med varje skiva.

--ignore_tagfiles
    När denna flagga används, kommer pkgtool att installera alla paket oavsett vad tagfilerna säger.

--tagfile tagfil
    Denna flagga används för att från kommandoraden ange vilken tagfil som skall användas för installationen.

--source_dir katalog
    Används vid montering av flera paket från diskuppsättningar. Det är den katalog där underkataloger för varje disk hittas. Detta används inte vid installation från diskett.

--target_dir katalog
    Katalogen där målet rotkatalogen finns. Detta är '/' vid installation på hårddisken, eller typiskt "/mnt" när du installerar från en installationsskiva.

--source_device enhet
    Den källenhet att installera från. Detta används inte om du har anget - source_mounted flaggan. Det används vanligen vid installation från diskett, som i: --source_device /dev/fd0u1440 eller --source_device /dev/fd1h1200.

FÖRFATTARE
Patrick J. Volkerding <volkerdi@slackware.com>

SE OCKSÅ
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)